package io.gitlab.jfronny.googlechat;

import io.gitlab.jfronny.libjf.config.api.Entry;
import io.gitlab.jfronny.libjf.config.api.JfConfig;
import io.gitlab.jfronny.libjf.config.api.Preset;

public class GoogleChatConfig implements JfConfig {
    @Entry public static Boolean enabled = true;
    @Entry public static String serverLanguage = "auto";
    @Entry public static String clientLanguage = "en";
    @Entry public static Boolean translationTooltip = false;
    @Entry public static Boolean desugar = false;
    @Entry public static String receivingRegex = "";
    @Entry public static Boolean receivingRegexIsBlacklist = true;
    @Entry public static String sendingRegex = "";
    @Entry public static Boolean sendingRegexIsBlacklist = true;

    @Preset
    public static void client() {
        enabled = true;
        if (!serverLanguage.equals("auto")) {
            serverLanguage = "auto";
            clientLanguage = "en";
            String tmp = receivingRegex;
            receivingRegex = sendingRegex;
            sendingRegex = tmp;
        }
    }

    @Preset
    public static void server() {
        enabled = true;
        if (!clientLanguage.equals("auto")) {
            clientLanguage = "auto";
            serverLanguage = "en";
            String tmp = receivingRegex;
            receivingRegex = sendingRegex;
            sendingRegex = tmp;
        }
    }
}
